Package io.trino.jdbc

## Class Row.Builder

- java.lang.Object
- - io.trino.jdbc.Row.Builder

Enclosing class:
  Row

    public static final class Row.Builder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Row.Builder` `addField​(String name, Object value)`
`Row.Builder` `addUnnamedField​(Object value)`
`Row` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addField

    public Row.Builder addField​(String name,
                                @Nullable
                                Object value)

#### addUnnamedField

    public Row.Builder addUnnamedField​(@Nullable
                                       Object value)

#### build

    public Row build()